Package ghidra.plugins.fsbrowser

# Class FileSystemBrowserPlugin

java.lang.Object
ghidra.framework.plugintool.Plugin
ghidra.plugins.fsbrowser.FileSystemBrowserPlugin

All Implemented Interfaces:
  `FileSystemBrowserService`, `ApplicationLevelPlugin`, `ProjectListener`, `PluginEventListener`, `ServiceListener`, `ExtensionPoint`

public class FileSystemBrowserPlugin extends Plugin implements ApplicationLevelPlugin, ProjectListener, FileSystemBrowserService
A `Plugin` that supplies a `filesystem` browser component that allows the user to view the contents of filesystems and perform actions on the files inside those filesystems.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.Plugin

  `name, pluginDescription, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileSystemBrowserPlugin(PluginTool tool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispose()`
  Tells a plugin that it is no longer needed.
  `protected void`
  `init()`
  Initialization method; override to add initialization for this plugin.
  `void`
  `openFileSystem(FSRL fsrl)`
  Opens the given `FSRL` in a file system browser.
  `void`
  `processEvent(PluginEvent event)`
  Method called to process a plugin event.
  `void`
  `projectClosed(Project project)`
  Notification that the given project is closed.
  `void`
  `projectOpened(Project project)`
  Notification that the given project is open.

  ### Methods inherited from class ghidra.framework.plugintool.Plugin

  `accept, acceptData, canClose, canCloseDomainObject, cleanup, close, dataStateRestoreCompleted, dependsUpon, deregisterService, equals, eventSent, firePluginEvent, getData, getMissingRequiredServices, getName, getPluginDescription, getServicesRequired, getSupportedDataTypes, getTool, getTransientState, getUndoRedoState, hashCode, hasMissingRequiredService, hasUnsaveData, internalRegisterEventConsumed, isDisposed, prepareToSave, readConfigState, readDataState, registerDynamicServiceProvided, registerServiceProvided, restoreTransientState, restoreUndoRedoState, saveData, serviceAdded, serviceRemoved, writeConfigState, writeDataState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileSystemBrowserPlugin

    public FileSystemBrowserPlugin(PluginTool tool)

- ## Method Details

  - ### init

    protected void init()
    Description copied from class: `Plugin`
    Initialization method; override to add initialization for this plugin. This is where a plugin should acquire its services. When this method is called, all plugins have been instantiated in the tool.
    Overrides:
      `init` in class `Plugin`

  - ### dispose

    protected void dispose()
    Description copied from class: `Plugin`
    Tells a plugin that it is no longer needed. The plugin should release any resources that it has. All actions, components, services will automatically be cleaned up.
    Overrides:
      `dispose` in class `Plugin`

  - ### openFileSystem

    public void openFileSystem(FSRL fsrl)
    Description copied from interface: `FileSystemBrowserService`
    Opens the given `FSRL` in a file system browser.
    Specified by:
      `openFileSystem` in interface `FileSystemBrowserService`
    Parameters:
      `fsrl` - The thing to open in a file system browser.

  - ### processEvent

    public void processEvent(PluginEvent event)
    Description copied from class: `Plugin`
    Method called to process a plugin event. Plugins should override this method if the plugin processes PluginEvents;
    Overrides:
      `processEvent` in class `Plugin`
    Parameters:
      `event` - plugin to process

  - ### projectClosed

    public void projectClosed(Project project)
    Description copied from interface: `ProjectListener`
    Notification that the given project is closed.
    Specified by:
      `projectClosed` in interface `ProjectListener`
    Parameters:
      `project` - project that is closed

  - ### projectOpened

    public void projectOpened(Project project)
    Description copied from interface: `ProjectListener`
    Notification that the given project is open.
    Specified by:
      `projectOpened` in interface `ProjectListener`
    Parameters:
      `project` - project that is opened